The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  вход/выход  слежка  RSS
"mono cecil-06 установка из из исходника"
Вариант для распечатки  
Пред. тема | След. тема 
Форумы Программирование под UNIX (Public)
Изначальное сообщение [ Отслеживать ]

"mono cecil-06 установка из из исходника"  
Сообщение от user333 (ok) on 25-Окт-08, 16:24 
Доброго времени суток!
Ставлю сейчас КДЕ 4.1.2 из исходников на Федора 8. При установке пакета kdebindings-4.1.2 требеуется mono cecil или libcecil-devel. Поискав RPM таких пакетов не нашёл. С сайта моно скачал cecil-0.6-src.tar.gz Делаю по инструкции:

$ ./configure
Mono.Cecil module configured

Prefix:           /usr/local
$ make
Makefile:2: ../../build/rules.make: Нет такого файла или каталога
Makefile:12: ../../build/library.make: Нет такого файла или каталога
make: *** Нет правила для сборки цели `../../build/library.make'.  Останов.
$

Посотрел файл Makefile:

thisdir = class/Mono.Cecil
include ../../build/rules.make
LIBRARY = Mono.Cecil.dll
LIBRARY_SNK = ../mono.snk
LIBRARY_PACKAGE = none
LIB_MCS_FLAGS = /r:$(corlib) /r:System.dll -keyfile:$(LIBRARY_SNK)
NO_TEST = yes
include ../../build/library.make

И действительно, посмотрев все папки в текущем каталоге не нашёл такого /build/library.make

Прошу помощи у сообщества - мож кто подскажет, как его правильно поставить.

Александр.

Высказать мнение | Ответить | Правка | Cообщить модератору

 Оглавление

Сообщения по теме [Сортировка по времени | RSS]


1. "mono cecil-06 установка из из исходника"  
Сообщение от NuINu (??) on 26-Окт-08, 11:41 
>[оверквотинг удален]
>thisdir = class/Mono.Cecil
>include ../../build/rules.make
>LIBRARY = Mono.Cecil.dll
>LIBRARY_SNK = ../mono.snk
>LIBRARY_PACKAGE = none
>LIB_MCS_FLAGS = /r:$(corlib) /r:System.dll -keyfile:$(LIBRARY_SNK)
>NO_TEST = yes
>include ../../build/library.make
>
>И действительно, посмотрев все папки в текущем каталоге не нашёл такого /build/library.make

А где написано что он должен быть в текущем? он должен быть двумя каталогами выше!
походу ваш сесил нужно собирать как часть более крупного проекта.

зы: несвязывайтесь с моно! (чисто религиозное предубеждение)

Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

2. "mono cecil-06 установка из из исходника"  
Сообщение от user333 (ok) on 26-Окт-08, 13:51 
двумя уровнями вверх идут только каталоги
kde4]$ls
cecil-0.6                kdeedu-4.1.2         kdepimlibs-build
kdeaccessibility-4.1.2   kdeedu-build         kdeplasma-addons-4.1.2
kdeaccessibility-build   kdegames-4.1.2       kdeplasma-addons-build
... и т.д.
kde4]$ cd cecil-0.6
cecil-0.6]$ ls
Mono.Cecil  Mono.Cecil.Mdb  Mono.Cecil.Pdb

Поставил все пакеты, кроме kdebindings (и Mono.Cecil), КДЕ4 работает, но падает при самых элементарных действиях. Вообще система - нормал, только с исходниками лучше не мучиться, а ставить вместе с новым дистрибутивом. А что до Mono.Cecil с исходника - наверно что-то разработчики не досмотрели...


Высказать мнение | Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Оцените тред (1=ужас, 5=супер)? [ 1 | 2 | 3 | 4 | 5 ] [Рекомендовать для помещения в FAQ]




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2023 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру